
Redmine - Defect #33234

Vertical scroll bar in some browsers hide content
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

The vertical scrollbar in some browser may be displayed over the content, hiding text or making it difficult to click buttons.

The screenshot below is taken when using Firefox 74.0 on macOS 10.15.4.

 

Associated revisions

Revision 19798 - 2020-05-28 09:53 - Go MAEDA

Fix that vertical scroll bar in some browsers hide content (#33234).

Patch by Go MAEDA.

History

#1 - 2020-05-02 10:56 - Go MAEDA

- File 33234-update-padding.patch added

- File context-menu-button-after.png added

- File 33234-issues-list-before.png added

- File 33234-issues-list-after.png added

- Target version set to Candidate for next minor release

The attached patch fixes this issue by updating padding values.

 

For your reference, I have attached screenshots of the issues list before and after the change (33234-issues-list-before.png, 

33234-issues-list-after.png).
https://www.redmine.org/attachments/25336
https://www.redmine.org/attachments/25337


#2 - 2020-05-16 03:42 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.2.0

Setting the target version to 4.2.0.

#3 - 2020-05-24 14:20 - Go MAEDA

This issue also affects Safari for Mac.

#4 - 2020-05-28 09:54 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

Files

scrollbar-overlaps-over-buttons@2x.png 40.6 KB 2020-04-02 Go MAEDA

33234-update-padding.patch 3.44 KB 2020-05-02 Go MAEDA

context-menu-button-after.png 28.3 KB 2020-05-02 Go MAEDA

33234-issues-list-before.png 260 KB 2020-05-02 Go MAEDA

33234-issues-list-after.png 262 KB 2020-05-02 Go MAEDA
